<div class="docs-primary-header component-page-header">
  <mat-chip-list>
    <mat-chip>
      <mat-icon>home</mat-icon>
      <a routerLink="/dashboard">Home</a> / 
      <a routerLink="/submodel">Submodel</a>/Deleted Model
    </mat-chip>
  </mat-chip-list>
</div>


<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>SUB MODEL</span>
      <div style="flex-grow:1;"></div>
      <a routerLink="/submodel" style="font-size: 16px;padding: 5px;">SubModel</a>&nbsp;
    
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">RECOVER</button> 
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <mat-table #table [dataSource]="dataSource" matSort>

      <ng-container matColumnDef="model_id">
        <mat-header-cell *matHeaderCellDef mat-sort-header> ID. </mat-header-cell>
        <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="make_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Make </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.make_name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="model_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Model </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.model_name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="variants">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Versions </mat-header-cell>
        <mat-cell *matCellDef="let element">

          <mat-accordion>
            <mat-expansion-panel style="box-shadow: none;">
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Show Versions
                </mat-panel-title>
              </mat-expansion-panel-header>
              <div style="border-radius: 15px; border: 1px solid lightgray; padding: 5px; margin-top: 10px;">
                <div>
                  <mat-chip-list>
                    <mat-chip class="container">{{element.variant_name}}</mat-chip>
                  </mat-chip-list>
                </div>
                <div style="border-top: 1px solid lightgray; border-bottom: 1px solid lightgray; padding: 5px; margin-top: 10px;">
                  {{element.sub_model_name}}
                </div>
                <div style="border-bottom: 1px solid lightgray; padding: 5px;" *ngFor="let year of element.year_name">
                  {{year.year_name}}
                </div>
              </div>
            </mat-expansion-panel>
          </mat-accordion>

        </mat-cell>
      </ng-container>


      <!-- <ng-container matColumnDef="action"> 
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select </mat-header-cell>
        <mat-cell *matCellDef="let element"><mat-checkbox (change)="sendIDS($event.checked,element.sub_model_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container> -->
      <ng-container matColumnDef="action">
          <mat-header-cell *matHeaderCellDef>
            <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
            [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
                >
            </mat-checkbox>
          </mat-header-cell>
          <mat-cell *matCellDef="let row">  
            <mat-checkbox  (change)="sendIDS($event.checked,row.sub_model_id,posts.length)"
                          [checked]="sel">
            </mat-checkbox>
          </mat-cell>
        </ng-container>

      <mat-header-row *matHeaderRowDef="['model_id', 'make_name', 'model_name', 'variants', 'action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['model_id', 'make_name', 'model_name', 'variants','action']"></mat-row>

    </mat-table>

    <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]">
    </mat-paginator>
  </div>
</div>

